rack-monitor-opentsdb
=====================

Rack middleware to monitor requests with OpenTSDB.

Usage:
------

    require 'sinatra'
    require 'rack/monitor/opentsdb'

    use Rack::Monitor::OpenTSDB, 'service.rest.hworld',
                                 :host            => 'opentsdb.example.com',
                                 :port            => 4242,
                                 :report_interval => 60,
                                 :logger          => Logger.new(STDOUT),
                                 :tags            => {
                                   :host => `hostname`.chomp,
                                   :env  => ENV['RACK_ENV'] || 'development' }

    get '/' do
        'Hello World'
    end

If you give a `logger`, some internas are logged to `debug`, `info` and
`error`. If there's no `logger` given, nothing will be logged and no error
will occur.

Links:
------

 - [Homepage](http://friendscout24.github.io/rack-monitor-opentsdb)
 - [Sources](http://github.com/friendscout24/rack-monitor-opentsdb)
 - [Issues](http://github.com/friendscout24/rack-monitor-opentsdb/issues)
 - [![Build Status](https://travis-ci.org/friendscout24/rack-monitor-opentsdb.svg?branch=master)](https://travis-ci.org/friendscout24/rack-monitor-opentsdb)
